SpikeCount = $13 ; Amount of spikes to fall down, -1. Values outside of 00-13 are not recommended.
CluSpr = $09 ; Custom cluster sprite num

;--------------;
; Init Routine ;
;--------------;

dcb "INIT"
PHY              ; \ Wrapper.
PHB              ;  |
PHK              ;  |
PLB              ; /
LDY #SpikeCount  

Loop:
LDA $1892,y
BEQ OkayThen
DEY
BPL Loop
JMP EndDiz

OkayThen:
LDA #CluSpr         ; \ Custom cluster sprite 09.
STA $1892,y      ; /
LDA PosTblLo,y
AND #$0F
ASL A
ASL A
ASL A
ASL A
CLC
ADC $1A
STA $1E16,y
LDA $1B
ADC #$00
STA $1E3E,y
LDA PosTblLo,y
AND #$F0
SEC
SBC #$10
CLC
ADC $1C
STA $1E02,y
LDA $1D
ADC #$00
STA $1E2A,y
LDA #$00
STA $1E52,y
LDA SpeedTable,y
STA $1E66,y
DEY              ;  | Loop until all slots are done.
BPL Loop	 ; /
LDA #$01         ; \ Run cluster sprite routine.
STA $18B8        ; /

EndDiz:
PLB              ;
PLY              ;
RTL              ; Return.

PosTblLo:
db $F0,$00,$01,$02,$F3,$03,$04,$05,$06,$07,$08,$F9,$09,$0A,$0B,$0C,$0D,$0E,$0F,$EC
; Initial X and Y position table of sprites.
; Relative to screen border.
; Format: $xy

SpeedTable:
db $FE,$02,$01,$02,$FF,$03,$02,$03,$05,$01,$03,$FC,$03,$02,$01,$01,$04,$04,$03,$FD
; Speed values are best to correspond with aforementioned Y values. (Y = $F? Then speed = $80-$FF. Y = $0? Then speed = $01-$7F. $00 is static, but you don't want that.)

;--------------;
; Main Routine ;
;--------------;

dcb "MAIN"
STZ $14C8,x ; Terminate self.
RTL